Page MenuHomePhabricator

Use the correct Arabic Wikipedia wordmark on mobile site
Closed, ResolvedPublic1 Story Points

Description

Hello,

The current logo shown on the Arabic Wikipedia mobile site is the default English one. Please use the one attached which is the same typeface used in the Arabic Wikipedia globe logo. Height should be adjusted to 28px instead of the 18px used for the English version. Thanks.

Project: ar.wikipedia.org
width="79px" height="22px"

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd new Arabic Wikipedia logo

Event Timeline

Mido created this task.May 6 2017, 6:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2017, 6:41 PM
Reedy added a subscriber: Reedy.

I'm guessing this is to go under $wgMFCustomLogos for arwiki, right?

Mido added a comment.May 7 2017, 4:20 PM

Yes, with 'copyright-height' set to 28.

@Nirzar can you please take a look at this? Thanks!

ovasileva triaged this task as Normal priority.May 8 2017, 11:08 AM

Hey @Mido

Thank you for creating the SVG! My recommendation for this wordmark would be 22px height.

here's a comparison

22px

28px

Let me know what you think, I will create the svg right after.

NOTE: we will need to check if 28px will push the paddings and make the header taller. we don't have customizable paddings per wiki so there is a limit to the height of the wordmark. We can do it with commons.css if needed but would require coordination.
Mido added a comment.May 8 2017, 5:36 PM

@Nirzar 22 looks better, I was actually testing in desktop browser on a slightly different version of the SVG, my bad. Please go ahead with 22px, thanks for your help.

Nirzar added a subscriber: Jdlrobson.EditedMay 8 2017, 6:23 PM

@Mido Great!

cc @Jdlrobson

Project: ar.wikipedia.org
width="79px" height="22px"

Nirzar updated the task description. (Show Details)May 8 2017, 6:23 PM
Mido added a comment.May 8 2017, 7:05 PM

@Nirzar
Thanks, but I'm afraid this version is lacking one letter, and the dots under the letters (Nuqta) are cropped a bit. I adjusted it as below, please feel free to change if needed.

Nirzar added a comment.EditedMay 8 2017, 7:09 PM

@Mido hmm weird. Sorry about that, my bad, thanks for catching that.

The new svg looks good. let's use that. updated the task description

Nirzar updated the task description. (Show Details)May 8 2017, 7:09 PM
ovasileva raised the priority of this task from Normal to High.May 9 2017, 4:39 PM
ovasileva set the point value for this task to 1.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptMay 9 2017, 4:39 PM
Nirzar removed Nirzar as the assignee of this task.May 9 2017, 8:23 PM

Change 353012 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Add new Arabic Wikipedia logo

https://gerrit.wikimedia.org/r/353012

Mido added a comment.May 10 2017, 8:54 AM

@Jdlrobson
The 'copyright' value in the settings file have wikitionary in the file name instead of wikipedia. The uploaded file have the correct content and name.
Thanks.

Change 353012 merged by jenkins-bot:
[operations/mediawiki-config@master] Add new Arabic Wikipedia logo

https://gerrit.wikimedia.org/r/353012

Mentioned in SAL (#wikimedia-operations) [2017-05-10T13:09:13Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Add new Arabic Wikipedia logo - T164648 && Disable page previews beta features on various projects - T164740 (duration: 00m 42s)

Mentioned in SAL (#wikimedia-operations) [2017-05-10T13:13:04Z] <hashar@tin> Synchronized static/images/mobile/copyright/wikipedia-wordmark-ar.svg: Add new Arabic Wikipedia logo - T164648 (duration: 00m 44s)

Mido added a comment.May 10 2017, 1:17 PM

Not working (yet?)

We've just completed the deployment. @Nirzar @Mido would be great if you can sign off. @Mido looks like you tested a little early should be fine now :)

Mido closed this task as Resolved.May 10 2017, 2:48 PM
Mido claimed this task.

Seems I did test a bit early, working now on chrome but still have the error on safari due to cache. Signing off anyway, thanks :).

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptMar 6 2018, 6:55 PM